Skip to content

UpdateUserProfile

PATCH/api/v1/users/{user}/userprofile

Update a user’s profile, the part of a user they maintain themselves.

Example request

curl -X PATCH \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
-H "Content-Type: application/json" \
-d '{ "about": "string", "pronouns": "string", "location": "string", "timeZone": "string" }' \
"https://us.oblique.security/api/v1/users/{user}/userprofile?updateMask=about,pronouns,location,timeZone"

Set OBLIQUE_API_KEY to your API key.

Path parameters

  • userProfile.namestringrequired

    Assigned by Oblique. Format: users/{user}/userprofile

Query parameters

  • updateMaskstring (field-mask)

    The list of fields to update.

Request body

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
  • deleteTimestring (date-time)read-only

    User profiles can only be soft-deleted to preserve logs and history. If this field is present, the user has been deleted and this profile can’t be updated and won’t be returned in lists.

  • aboutstring

    Longer description.

  • pronounsstring

    Preferred pronouns. “he/him”, “they/them”.

  • locationstring

    Business location, such as “San Francisco”.

  • timeZonestring

    IANA TZ codes “America/Los_Angeles” or “Europe/London”.

  • reportingChainstring[]read-only

    Reporting chain of the user from lowest in the chain to highest.

    [“users/manager”, “users/director”, “users/vp”, “users/ceo”]

    Format: users/{user}

  • reportsstring[]read-only

    List of direct reports to this user.

    Format: users/{user}

Response

200UserProfile

User profile is a singleton resource that’s automatically created for all users and can be edited and managed separately.

https://google.aip.dev/156

As a general rule, information that is available when listing all users is on the User message, information that is only displayed when viewing an individual user’s page is on the UserProfile.

  • namestring

    Assigned by Oblique. Format: users/{user}/userprofile

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
  • deleteTimestring (date-time)read-only

    User profiles can only be soft-deleted to preserve logs and history. If this field is present, the user has been deleted and this profile can’t be updated and won’t be returned in lists.

  • aboutstring

    Longer description.

  • pronounsstring

    Preferred pronouns. “he/him”, “they/them”.

  • locationstring

    Business location, such as “San Francisco”.

  • timeZonestring

    IANA TZ codes “America/Los_Angeles” or “Europe/London”.

  • reportingChainstring[]read-only

    Reporting chain of the user from lowest in the chain to highest.

    [“users/manager”, “users/director”, “users/vp”, “users/ceo”]

    Format: users/{user}

  • reportsstring[]read-only

    List of direct reports to this user.

    Format: users/{user}

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error